import java.util.*;
/**
 * Lab #3
 * CS 2334, Section 0??
 * February 11, 2010
 * <P>
 * This class implements a program that tests the RecordHolder class code.
 * </P>
 * @author Leave Blank
 * @version 1.0
 */
public class Lab3Driver {

	/**
	 * This is the main method for this driver program. Since this is a
	 * simple program, all of our code will be in the main method.
	 * Typically this would be a bad design, but we are just testing out
	 * some features of Java.
	 * <P>
	 * Algorithm<br>
	 * 1. Instantiate eight objects of type RecordHolder and add 
	 *    them to the list 'recordHolders'.
	 * 2. Print out the unsorted list of record holders.
	 * 3. Sort the list of record holders by using Collections.sort().
	 * 4. Print out the sorted list of record holders.
	 * 5. Search  for a particular Contact in the list.
	 * 6. Test your compareTo method.
	 * </P>
	 * @param             args       Contains the command line arguments.
	 */

	public static void main(String[] args) {
		List recordHolders = new ArrayList();

		/* 
		 * 1. Instantiate eight objects of type RecordHolder and add them
		 *    to the list record holders. 
		 * I have created and added the first record holder for you. :)
		 */        
		RecordHolder recordHolder1 = new RecordHolder( "World's Tallest Man (8 ft, 11 in)", "Robert", "Wadlow");

		/* The list is referenced to by the variable recordHolders.  You can add to
		 * the list by invoking the add method in ArrayList.
		 */
		recordHolders.add(recordHolder1);

		/*
		 * 2. Print out the unsorted list of record holders.
		 * This uses an iterator to "iterate" through the list.
		 */
		System.out.println( "\n\nUnsorted List:" );

		Iterator iterator = recordHolders.iterator();

		while( iterator.hasNext() )
		{
			// Note: This line of code will call toString of the Contacts class.
			System.out.println( iterator.next() );
		}


		/*
		 * 3. Sort the list of record holders using Collections.sort().
		 * Take a look at Collections.sort() in the API at
		 * http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collections.html#sort(java.util.List,%20java.util.Comparator)
		 * You need to call Collections.sort() and pass it the list of record holders.
		 * SEE THE LAB HANDOUT FOR MORE INFORMATION.
		 */

		// ADD CODE TO SORT HERE
		

		/*
		 * 4. Print out the sorted list of record holders.
		 */
		System.out.println( "Sorted List:" );
		/* HINT: Use an iterator the same way I used one above when
		 * the unsorted list of record holders was printed.
		 */

		// ADD CODE TO PRINT THE LIST HERE
		

		/* 
		 * 5. Search for a particular record holder in the list.
		 */
		System.out.println( "\n\nSearching" );
		RecordHolder key = new RecordHolder( "World's Loudest Burp (107.1 db)", "Paul", "Hunn" );
		System.out.println( "Key is " + key );

		/*
		 * Call Collections.binarySearch() to find the index of key.  
		 * Make sure you test the value of index to see if it negative, 
		 * which indicates that the key was not found in the list.
		 */
		
		int index = Collections.binarySearch( recordHolders, key );

		/* 
		 * Print out whether the record holder was found or not and the index
		 * at which it was found.
		 * HINT: If index is negative print a statement saying that the
		 *       item searched for is not in the list.  Otherwise, print
		 *       out a statement telling that item was found in the list
		 *       and give the index of item in the list as well.
		 */

		// ADD CODE HERE
		
		
	}
}